aboutsummaryrefslogtreecommitdiff
path: root/ci/before_script.sh
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2020-07-31 17:59:48 -0400
committerJames McCoy <jamessan@jamessan.com>2020-07-31 17:59:48 -0400
commit228d7d948200563292f13723cdd0f947bd0c711c (patch)
treee30ac7afb5cfc68470be42e8c5e02907fb44b99b /ci/before_script.sh
parent3e3002b90c46fca8d8d5edebc021e56d95c5e645 (diff)
parent1153ac9036ab62ee25078248a01dc56a2311b9a6 (diff)
downloadrneovim-228d7d948200563292f13723cdd0f947bd0c711c.tar.gz
rneovim-228d7d948200563292f13723cdd0f947bd0c711c.tar.bz2
rneovim-228d7d948200563292f13723cdd0f947bd0c711c.zip
Merge remote-tracking branch 'upstream/master' into fileinfo-garbage
Diffstat (limited to 'ci/before_script.sh')
-rwxr-xr-xci/before_script.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/before_script.sh b/ci/before_script.sh
index 605ecdbf66..1759dbe942 100755
--- a/ci/before_script.sh
+++ b/ci/before_script.sh
@@ -10,6 +10,12 @@ fi
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "${CI_DIR}/common/build.sh"
+# Enable ipv6 on Travis. ref: a39c8b7ce30d
+if ! test "${TRAVIS_OS_NAME}" = osx ; then
+ echo "before_script.sh: enable ipv6"
+ sudo sysctl -w net.ipv6.conf.lo.disable_ipv6=0
+fi
+
# Test some of the configuration variables.
if [[ -n "${GCOV}" ]] && [[ ! $(type -P "${GCOV}") ]]; then
echo "\$GCOV: '${GCOV}' is not executable."
@@ -35,5 +41,10 @@ fi
# Compile dependencies.
build_deps
+# Install cluacov for Lua coverage.
+if [[ "$USE_LUACOV" == 1 ]]; then
+ "${DEPS_BUILD_DIR}/usr/bin/luarocks" install cluacov
+fi
+
rm -rf "${LOG_DIR}"
mkdir -p "${LOG_DIR}"